List cluster add-ons
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"chart_name": "<string>",
"chart_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"namespace": "<string>",
"registry_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"addon_slug": "<string>",
"chart_moved_to": {
"chart_name": "<string>",
"latest_chart_version": "<string>",
"registry_name": "<string>",
"registry_url": "<string>"
},
"health": "<string>",
"icon": "<string>",
"latest_chart_version": "<string>",
"registry_name": "<string>",
"security_advisories": [
{
"advisory_id": "<string>",
"affected_version": "<string>",
"aliases": [
"<string>"
],
"fixed_version": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"severity": "critical",
"summary": "<string>",
"upgrade_chart_version": "<string>",
"url": "<string>"
}
],
"security_advisory_status": "checked",
"security_upgrade_chart_version": "<string>",
"stack_name": "<string>",
"state": "creating",
"through_ankra": false
}
],
"security_advisories_checked_at": "2023-11-07T05:31:56Z",
"security_advisories_stale": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Clusters
List cluster add-ons
Returns a paginated list of the add-ons deployed on the cluster, including their live health where available. Answers 404 when the cluster is not in your organisation.
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
addons
List cluster add-ons
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"chart_name": "<string>",
"chart_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"namespace": "<string>",
"registry_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"addon_slug": "<string>",
"chart_moved_to": {
"chart_name": "<string>",
"latest_chart_version": "<string>",
"registry_name": "<string>",
"registry_url": "<string>"
},
"health": "<string>",
"icon": "<string>",
"latest_chart_version": "<string>",
"registry_name": "<string>",
"security_advisories": [
{
"advisory_id": "<string>",
"affected_version": "<string>",
"aliases": [
"<string>"
],
"fixed_version": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"severity": "critical",
"summary": "<string>",
"upgrade_chart_version": "<string>",
"url": "<string>"
}
],
"security_advisory_status": "checked",
"security_upgrade_chart_version": "<string>",
"stack_name": "<string>",
"state": "creating",
"through_ankra": false
}
],
"security_advisories_checked_at": "2023-11-07T05:31:56Z",
"security_advisories_stale": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Response
Successful Response